LINUX.ORG.RU
ФорумTalks

gnome fallback в опасности

 ,


0

1

Цель
Выкинуть или починить Fallback Mode в GNOME 3.8!

Причины
- постепенно становится всё менее работоспособным
- никто не хочет его поддерживать
- некоторые части гнома уже не работают без 3д (totem, audio/video in empathy, cheese, etc.)

Выкинуть на помойку
metacity, gnome-panel, gnome-applets, notification-daemon, gnome-screensaver, polkit-gnome, nm-applet

Текущий статус
Нуждается в обсуждении (но мы-то всё понимаем...)
https://bugzilla.gnome.org/show_bug.cgi?id=682858

Как их остановить
Начать фиксить баги и отправлять патчи

Для !Ъ

У мну на ати-блобе запускается только фолбэк. Но он не нужен, поэтому будем считать, что Gnome 3 не юзабелен по причине незапускабельности.

stevejobs ★★★★☆ ()
Ответ на: комментарий от GanGSISoft

с версии 3.0 он верх убожества

в 3.6 он вполне юзабелен, по факту особой разницы со вторым нет, если не считать кастрированные программы из Gnome 3

wota ★★ ()

фолбак третьго гнома очень юзабелен, как второй умер на нём и сижу особой разницы нету.

stels ★★★ ()
Ответ на: комментарий от Bad_ptr

просто они пилят меса-ллвм-пайп

However llvmpipe doesn't work on some architectures (ppc, s390, arm?) and might not work in some non-Linux-based OS (OpenBSD support is not there, for instance).

ratvier ()

Выкинуть.

Для фанатиков гнома2 - mate, для тех кто хочет «как в гноме2 на технологиях гнома3» - корица, для ати-блобо-юзов... даже не знаю, газенваген наверное. И это не считая xfce, kde и прочих «ущербных альтернатив» :)

morse ★★★★★ ()

дался вам этот gnome-fallback, гном 3 удобнее и уюзабельнее, чем 2, это я как перешедший с флюксбокса на гном 3 говорю.

maloi ★★★★★ ()

Как их остановить

Не нужно. Просто не используй это говноподелие.

Deleted ()

Да пусть уже сдохнет весь. Хотя нет, что-то же должно оттягивать на себя всех неадекватных погромистов...

Axon ★★★★★ ()
Ответ на: комментарий от Polugnom

C с шеллом ли, без шелла ли, гном3 просто какой-то БДСМ. Так что всё правильно делают.

fixed

Munhgauzen ()

Логично. В фолбэке больше нет необходимости. Полноценный режим заводится на старом железе.

Выкинуть на помойкуmetacity, gnome-> panel, gnome-applets, notification-daemon, gnome-screensaver, polkit-gnome, nm-applet

Рудименты GNOME 2. Не используются в Shell.

Jayrome ★★★★★ ()

Обрубанный вариант и без того обрубанного DE не нужен в квадрате.

bloodredfrog ★★ ()
Ответ на: комментарий от Bad_ptr

просто они пилят меса-ллвм-пайп

Они? Да там нет ни строчки их кода.

Behem0th ★★★★★ ()

Он в 3.4 уже стал практически непригодным для использования, и дело не в багах, а в целенаправленно добавляемых ограничениях.

Homura_Akemi ()
Ответ на: комментарий от Jayrome

Полноценный режим заводится на старом железе.

I LOL'D. Расскажите, какая магия нужна, чтобы оно не тормозило на минимальном профиле видеокарты HD 6770? Kwin летает, Compiz летает, только GNOME Shell ползает.

Homura_Akemi ()

metacity, gnome-panel, gnome-applets, notification-daemon, gnome-screensaver, polkit-gnome, nm-applet

nm-applet жалко, хоть он и глючный. в кедах работа с networkmanager заметно лучше.

unfo ★★★★★ ()

Выкинуть скринсейвер и nm-applet? Что они курили?

ArtKun ★★★★★ ()
Ответ на: комментарий от Homura_Akemi

Kwin летает, Compiz летает, только GNOME Shell ползает.

А у меня вот на GMA3150 с точностью до наоборот, GNOME Shell летает, а KWin еле ворочается.

cruxish ★★★★ ()
Ответ на: комментарий от Homura_Akemi

I LOL'D. Расскажите, какая магия нужна, чтобы оно не тормозило на минимальном профиле видеокарты HD 6770? Kwin летает, Compiz летает, только GNOME Shell ползает.

Нет, это я LOL'd над вами. :) У меня все летает.

Jayrome ★★★★★ ()
Ответ на: комментарий от Homura_Akemi

Он в 3.4 уже стал практически непригодным для использования, и дело не в багах, а в целенаправленно добавляемых ограничениях.

Вас ограничивает опенсорс??? Скажите название вашего дистрибутива.

Jayrome ★★★★★ ()
Ответ на: комментарий от Jayrome

Это некорректное сравнение же. Поясню: и у AMD, и у nVidia по умолчанию проприетарные драйверы работают в «адаптивном» режиме, то есть частоты повышаются по мере надобности. В моём случае речь идёт о режиме, когда GPU работает на частоте примерно 170 MHz всегда, повышать частоту запрещено. Этого хватает даже некоторым играм, не говоря о приличных композитных WM. Но Mutter, видите ли, тормозит. Учитывая удивительную функциональную убогость оного, i've no idea, чему там тормозить :-/

Homura_Akemi ()
Ответ на: комментарий от Jayrome

Вас ограничивает опенсорс???

Нет. Но допиливать то, что ломают целенаправленно, я не буду.

Скажите название вашего дистрибутива.

Ну Debian, что с того?

Homura_Akemi ()
Ответ на: комментарий от Homura_Akemi

чтобы оно не тормозило на минимальном профиле видеокарты HD 6770
Kwin летает

У меня(6870) на минимальном профиле kwin зело лагал. Я почти год на тормозной kwin\открытый драйвер грешил, а оказалось что я ССЗБ включивший low-профиль.

Loki13 ★★★★★ ()
Ответ на: комментарий от Siado

Что? Еще один форк? Реквестирую Gnomewatch.org что-бы не запутаться в них.

Deleted ()
Ответ на: комментарий от Loki13

Ну, никто не говорил, что Kwin идеален. Тем не менее, в KDE 4.7.4 и 4.8.4 у меня он работал очень плавно и быстро на low. KDE я вообще не пользуюсь, поэтому врать смысла нет :)

Homura_Akemi ()
Ответ на: комментарий от Behem0th

RadeonHD 4850 low профиль, квин летает.

У меня рывки на колышущихся окнах были заметные. С динамическим профилем все плавно. Да и всё 3Д(проверял на Amnesia) тормозило на low, что тоже неприятно. А +15-25 градусов(60-70 вместо 45), как в венде кстати, абсолютно не напрягают.

Loki13 ★★★★★ ()
Ответ на: комментарий от Loki13

колышущихся окнах были заметные

Не проверял, может с ними и действительно тормозит. Для игр я переключаю карту в high профиль.

Behem0th ★★★★★ ()

Мне срать на них, уже. Пускай творят что хотят. Есть кеды, cinnamon, mate и xfce.

nexfwall ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.